## org.hibernate.metamodel.relational
Interface ValueContainer

All Known Subinterfaces:
  TableSpecification

All Known Implementing Classes:
  AbstractTableSpecification, InLineView, Table, Tuple

    public interface ValueContainer

Contract for data containers (what the ANSI SQL spec calls "table specifications") to which we can map entity state. The two flavors here are `physical table` and `inline view`, but a `Tuple` is a conceptual value container as well.

Method Summary
`String` `getLoggableValueQualifier()` Get a qualifier which can be used to qualify `values` belonging to this container in their logging.
`Iterable<SimpleValue>` `values()` Obtain an iterator over this containers current set of value definitions.

Method Detail

### values

    Iterable<SimpleValue> values()

  Obtain an iterator over this containers current set of value definitions.

  Returns:
    Iterator over value definitions.

### getLoggableValueQualifier

    String getLoggableValueQualifier()

  Get a qualifier which can be used to qualify `values` belonging to this container in their logging.

  Returns:
    The qualifier

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.